	component DDR4_2x32_ECC_2EMIF is
		port (
			clk_clk                                                 : in    std_logic                     := 'X';             -- clk
			emif_hps_ph2_0_emif_mem_0_mem_ck_t                      : out   std_logic;                                        -- mem_ck_t
			emif_hps_ph2_0_emif_mem_0_mem_ck_c                      : out   std_logic;                                        -- mem_ck_c
			emif_hps_ph2_0_emif_mem_0_mem_cke                       : out   std_logic;                                        -- mem_cke
			emif_hps_ph2_0_emif_mem_0_mem_odt                       : out   std_logic;                                        -- mem_odt
			emif_hps_ph2_0_emif_mem_0_mem_cs_n                      : out   std_logic;                                        -- mem_cs_n
			emif_hps_ph2_0_emif_mem_0_mem_a                         : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_hps_ph2_0_emif_mem_0_mem_ba                        : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_hps_ph2_0_emif_mem_0_mem_bg                        : out   std_logic;                                        -- mem_bg
			emif_hps_ph2_0_emif_mem_0_mem_act_n                     : out   std_logic;                                        -- mem_act_n
			emif_hps_ph2_0_emif_mem_0_mem_par                       : out   std_logic;                                        -- mem_par
			emif_hps_ph2_0_emif_mem_0_mem_alert_n                   : in    std_logic                     := 'X';             -- mem_alert_n
			emif_hps_ph2_0_emif_mem_0_mem_reset_n                   : out   std_logic;                                        -- mem_reset_n
			emif_hps_ph2_0_emif_mem_0_mem_dq                        : inout std_logic_vector(39 downto 0) := (others => 'X'); -- mem_dq
			emif_hps_ph2_0_emif_mem_0_mem_dqs_t                     : inout std_logic_vector(4 downto 0)  := (others => 'X'); -- mem_dqs_t
			emif_hps_ph2_0_emif_mem_0_mem_dqs_c                     : inout std_logic_vector(4 downto 0)  := (others => 'X'); -- mem_dqs_c
			emif_hps_ph2_0_emif_oct_0_oct_rzqin                     : in    std_logic                     := 'X';             -- oct_rzqin
			emif_hps_ph2_0_emif_mem_1_mem_ck_t                      : out   std_logic;                                        -- mem_ck_t
			emif_hps_ph2_0_emif_mem_1_mem_ck_c                      : out   std_logic;                                        -- mem_ck_c
			emif_hps_ph2_0_emif_mem_1_mem_cke                       : out   std_logic;                                        -- mem_cke
			emif_hps_ph2_0_emif_mem_1_mem_odt                       : out   std_logic;                                        -- mem_odt
			emif_hps_ph2_0_emif_mem_1_mem_cs_n                      : out   std_logic;                                        -- mem_cs_n
			emif_hps_ph2_0_emif_mem_1_mem_a                         : out   std_logic_vector(16 downto 0);                    -- mem_a
			emif_hps_ph2_0_emif_mem_1_mem_ba                        : out   std_logic_vector(1 downto 0);                     -- mem_ba
			emif_hps_ph2_0_emif_mem_1_mem_bg                        : out   std_logic;                                        -- mem_bg
			emif_hps_ph2_0_emif_mem_1_mem_act_n                     : out   std_logic;                                        -- mem_act_n
			emif_hps_ph2_0_emif_mem_1_mem_par                       : out   std_logic;                                        -- mem_par
			emif_hps_ph2_0_emif_mem_1_mem_alert_n                   : in    std_logic                     := 'X';             -- mem_alert_n
			emif_hps_ph2_0_emif_mem_1_mem_reset_n                   : out   std_logic;                                        -- mem_reset_n
			emif_hps_ph2_0_emif_mem_1_mem_dq                        : inout std_logic_vector(39 downto 0) := (others => 'X'); -- mem_dq
			emif_hps_ph2_0_emif_mem_1_mem_dqs_t                     : inout std_logic_vector(4 downto 0)  := (others => 'X'); -- mem_dqs_t
			emif_hps_ph2_0_emif_mem_1_mem_dqs_c                     : inout std_logic_vector(4 downto 0)  := (others => 'X'); -- mem_dqs_c
			emif_hps_ph2_0_emif_oct_1_oct_rzqin                     : in    std_logic                     := 'X';             -- oct_rzqin
			emif_hps_ph2_0_emif_ref_clk_0_clk                       : in    std_logic                     := 'X';             -- clk
			intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_req : out   std_logic;                                        -- reset_req
			intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_ack : in    std_logic                     := 'X';             -- reset_ack
			reset_reset                                             : in    std_logic                     := 'X'              -- reset
		);
	end component DDR4_2x32_ECC_2EMIF;

	u0 : component DDR4_2x32_ECC_2EMIF
		port map (
			clk_clk                                                 => CONNECTED_TO_clk_clk,                                                 --                                           clk.clk
			emif_hps_ph2_0_emif_mem_0_mem_ck_t                      => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_ck_t,                      --                     emif_hps_ph2_0_emif_mem_0.mem_ck_t
			emif_hps_ph2_0_emif_mem_0_mem_ck_c                      => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_ck_c,                      --                                              .mem_ck_c
			emif_hps_ph2_0_emif_mem_0_mem_cke                       => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_cke,                       --                                              .mem_cke
			emif_hps_ph2_0_emif_mem_0_mem_odt                       => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_odt,                       --                                              .mem_odt
			emif_hps_ph2_0_emif_mem_0_mem_cs_n                      => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_cs_n,                      --                                              .mem_cs_n
			emif_hps_ph2_0_emif_mem_0_mem_a                         => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_a,                         --                                              .mem_a
			emif_hps_ph2_0_emif_mem_0_mem_ba                        => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_ba,                        --                                              .mem_ba
			emif_hps_ph2_0_emif_mem_0_mem_bg                        => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_bg,                        --                                              .mem_bg
			emif_hps_ph2_0_emif_mem_0_mem_act_n                     => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_act_n,                     --                                              .mem_act_n
			emif_hps_ph2_0_emif_mem_0_mem_par                       => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_par,                       --                                              .mem_par
			emif_hps_ph2_0_emif_mem_0_mem_alert_n                   => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_alert_n,                   --                                              .mem_alert_n
			emif_hps_ph2_0_emif_mem_0_mem_reset_n                   => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_reset_n,                   --                                              .mem_reset_n
			emif_hps_ph2_0_emif_mem_0_mem_dq                        => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_dq,                        --                                              .mem_dq
			emif_hps_ph2_0_emif_mem_0_mem_dqs_t                     => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_dqs_t,                     --                                              .mem_dqs_t
			emif_hps_ph2_0_emif_mem_0_mem_dqs_c                     => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_dqs_c,                     --                                              .mem_dqs_c
			emif_hps_ph2_0_emif_oct_0_oct_rzqin                     => CONNECTED_TO_emif_hps_ph2_0_emif_oct_0_oct_rzqin,                     --                     emif_hps_ph2_0_emif_oct_0.oct_rzqin
			emif_hps_ph2_0_emif_mem_1_mem_ck_t                      => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_ck_t,                      --                     emif_hps_ph2_0_emif_mem_1.mem_ck_t
			emif_hps_ph2_0_emif_mem_1_mem_ck_c                      => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_ck_c,                      --                                              .mem_ck_c
			emif_hps_ph2_0_emif_mem_1_mem_cke                       => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_cke,                       --                                              .mem_cke
			emif_hps_ph2_0_emif_mem_1_mem_odt                       => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_odt,                       --                                              .mem_odt
			emif_hps_ph2_0_emif_mem_1_mem_cs_n                      => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_cs_n,                      --                                              .mem_cs_n
			emif_hps_ph2_0_emif_mem_1_mem_a                         => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_a,                         --                                              .mem_a
			emif_hps_ph2_0_emif_mem_1_mem_ba                        => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_ba,                        --                                              .mem_ba
			emif_hps_ph2_0_emif_mem_1_mem_bg                        => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_bg,                        --                                              .mem_bg
			emif_hps_ph2_0_emif_mem_1_mem_act_n                     => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_act_n,                     --                                              .mem_act_n
			emif_hps_ph2_0_emif_mem_1_mem_par                       => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_par,                       --                                              .mem_par
			emif_hps_ph2_0_emif_mem_1_mem_alert_n                   => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_alert_n,                   --                                              .mem_alert_n
			emif_hps_ph2_0_emif_mem_1_mem_reset_n                   => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_reset_n,                   --                                              .mem_reset_n
			emif_hps_ph2_0_emif_mem_1_mem_dq                        => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_dq,                        --                                              .mem_dq
			emif_hps_ph2_0_emif_mem_1_mem_dqs_t                     => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_dqs_t,                     --                                              .mem_dqs_t
			emif_hps_ph2_0_emif_mem_1_mem_dqs_c                     => CONNECTED_TO_emif_hps_ph2_0_emif_mem_1_mem_dqs_c,                     --                                              .mem_dqs_c
			emif_hps_ph2_0_emif_oct_1_oct_rzqin                     => CONNECTED_TO_emif_hps_ph2_0_emif_oct_1_oct_rzqin,                     --                     emif_hps_ph2_0_emif_oct_1.oct_rzqin
			emif_hps_ph2_0_emif_ref_clk_0_clk                       => CONNECTED_TO_emif_hps_ph2_0_emif_ref_clk_0_clk,                       --                 emif_hps_ph2_0_emif_ref_clk_0.clk
			intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_req => CONNECTED_TO_intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_req, -- intel_agilex_5_soc_0_h2f_warm_reset_handshake.reset_req
			intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_ack => CONNECTED_TO_intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_ack, --                                              .reset_ack
			reset_reset                                             => CONNECTED_TO_reset_reset                                              --                                         reset.reset
		);

