	component LPDDR4_1x32_1EMIF is
		port (
			clk_clk                                                 : in    std_logic                     := 'X';             -- clk
			emif_hps_ph2_0_emif_mem_0_mem_ck_t                      : out   std_logic;                                        -- mem_ck_t
			emif_hps_ph2_0_emif_mem_0_mem_ck_c                      : out   std_logic;                                        -- mem_ck_c
			emif_hps_ph2_0_emif_mem_0_mem_cke                       : out   std_logic;                                        -- mem_cke
			emif_hps_ph2_0_emif_mem_0_mem_reset_n                   : out   std_logic;                                        -- mem_reset_n
			emif_hps_ph2_0_emif_mem_0_mem_cs                        : out   std_logic;                                        -- mem_cs
			emif_hps_ph2_0_emif_mem_0_mem_ca                        : out   std_logic_vector(5 downto 0);                     -- mem_ca
			emif_hps_ph2_0_emif_mem_0_mem_dq                        : inout std_logic_vector(31 downto 0) := (others => 'X'); -- mem_dq
			emif_hps_ph2_0_emif_mem_0_mem_dqs_t                     : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_t
			emif_hps_ph2_0_emif_mem_0_mem_dqs_c                     : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_c
			emif_hps_ph2_0_emif_mem_0_mem_dmi                       : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dmi
			emif_hps_ph2_0_emif_oct_0_oct_rzqin                     : in    std_logic                     := 'X';             -- oct_rzqin
			emif_hps_ph2_0_emif_ref_clk_0_clk                       : in    std_logic                     := 'X';             -- clk
			intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_req : out   std_logic;                                        -- reset_req
			intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_ack : in    std_logic                     := 'X';             -- reset_ack
			reset_reset                                             : in    std_logic                     := 'X'              -- reset
		);
	end component LPDDR4_1x32_1EMIF;

	u0 : component LPDDR4_1x32_1EMIF
		port map (
			clk_clk                                                 => CONNECTED_TO_clk_clk,                                                 --                                           clk.clk
			emif_hps_ph2_0_emif_mem_0_mem_ck_t                      => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_ck_t,                      --                     emif_hps_ph2_0_emif_mem_0.mem_ck_t
			emif_hps_ph2_0_emif_mem_0_mem_ck_c                      => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_ck_c,                      --                                              .mem_ck_c
			emif_hps_ph2_0_emif_mem_0_mem_cke                       => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_cke,                       --                                              .mem_cke
			emif_hps_ph2_0_emif_mem_0_mem_reset_n                   => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_reset_n,                   --                                              .mem_reset_n
			emif_hps_ph2_0_emif_mem_0_mem_cs                        => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_cs,                        --                                              .mem_cs
			emif_hps_ph2_0_emif_mem_0_mem_ca                        => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_ca,                        --                                              .mem_ca
			emif_hps_ph2_0_emif_mem_0_mem_dq                        => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_dq,                        --                                              .mem_dq
			emif_hps_ph2_0_emif_mem_0_mem_dqs_t                     => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_dqs_t,                     --                                              .mem_dqs_t
			emif_hps_ph2_0_emif_mem_0_mem_dqs_c                     => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_dqs_c,                     --                                              .mem_dqs_c
			emif_hps_ph2_0_emif_mem_0_mem_dmi                       => CONNECTED_TO_emif_hps_ph2_0_emif_mem_0_mem_dmi,                       --                                              .mem_dmi
			emif_hps_ph2_0_emif_oct_0_oct_rzqin                     => CONNECTED_TO_emif_hps_ph2_0_emif_oct_0_oct_rzqin,                     --                     emif_hps_ph2_0_emif_oct_0.oct_rzqin
			emif_hps_ph2_0_emif_ref_clk_0_clk                       => CONNECTED_TO_emif_hps_ph2_0_emif_ref_clk_0_clk,                       --                 emif_hps_ph2_0_emif_ref_clk_0.clk
			intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_req => CONNECTED_TO_intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_req, -- intel_agilex_5_soc_0_h2f_warm_reset_handshake.reset_req
			intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_ack => CONNECTED_TO_intel_agilex_5_soc_0_h2f_warm_reset_handshake_reset_ack, --                                              .reset_ack
			reset_reset                                             => CONNECTED_TO_reset_reset                                              --                                         reset.reset
		);

