// (C) 2001-2024 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.



module LPDDR4_4x16_2EMIF_intel_agilex_5_soc_0_intel_sundancemesa_mpfe_lite_100_whyehta(
  input wire [0 : 0 ] emif_csr_axi_clk
 ,input wire [0 : 0 ] emif_csr_axi_rst
 ,input wire [0 : 0 ] emif_mem_cfg_arready
 ,input wire [0 : 0 ] emif_mem_cfg_awready
 ,input wire [1 : 0 ] emif_mem_cfg_bresp
 ,input wire [0 : 0 ] emif_mem_cfg_bvalid
 ,input wire [31 : 0 ] emif_mem_cfg_rdata
 ,input wire [1 : 0 ] emif_mem_cfg_rresp
 ,input wire [0 : 0 ] emif_mem_cfg_rvalid
 ,input wire [0 : 0 ] emif_mem_cfg_wready
 ,output wire [31 : 0 ] emif_mem_cfg_araddr
 ,output wire [0 : 0 ] emif_mem_cfg_arvalid
 ,output wire [31 : 0 ] emif_mem_cfg_awaddr
 ,output wire [0 : 0 ] emif_mem_cfg_awvalid
 ,output wire [0 : 0 ] emif_mem_cfg_bready
 ,output wire [0 : 0 ] emif_mem_cfg_rready
 ,output wire [31 : 0 ] emif_mem_cfg_wdata
 ,output wire [3 : 0 ] emif_mem_cfg_wstrb
 ,output wire [0 : 0 ] emif_mem_cfg_wvalid
 ,output wire [2 : 0 ] emif_mem_cfg_arprot
 ,output wire [2 : 0 ] emif_mem_cfg_awprot
 ,input wire [0 : 0 ] emif_ch0_axi_clk
 ,input wire [0 : 0 ] emif_ch0_axi_rst
 ,input wire [0 : 0 ] emif0_arready
 ,input wire [0 : 0 ] emif0_awready
 ,input wire [6 : 0 ] emif0_bid
 ,input wire [1 : 0 ] emif0_bresp
 ,input wire [0 : 0 ] emif0_bvalid
 ,input wire [255 : 0 ] emif0_rdata
 ,input wire [6 : 0 ] emif0_rid
 ,input wire [0 : 0 ] emif0_rlast
 ,input wire [1 : 0 ] emif0_rresp
 ,input wire [31 : 0 ] emif0_ruser
 ,input wire [0 : 0 ] emif0_rvalid
 ,input wire [0 : 0 ] emif0_wready
 ,output wire [43 : 0 ] emif0_araddr
 ,output wire [1 : 0 ] emif0_arburst
 ,output wire [6 : 0 ] emif0_arid
 ,output wire [7 : 0 ] emif0_arlen
 ,output wire [0 : 0 ] emif0_arlock
 ,output wire [3 : 0 ] emif0_arqos
 ,output wire [2 : 0 ] emif0_arsize
 ,output wire [13 : 0 ] emif0_aruser
 ,output wire [0 : 0 ] emif0_arvalid
 ,output wire [43 : 0 ] emif0_awaddr
 ,output wire [1 : 0 ] emif0_awburst
 ,output wire [6 : 0 ] emif0_awid
 ,output wire [7 : 0 ] emif0_awlen
 ,output wire [0 : 0 ] emif0_awlock
 ,output wire [3 : 0 ] emif0_awqos
 ,output wire [2 : 0 ] emif0_awsize
 ,output wire [13 : 0 ] emif0_awuser
 ,output wire [0 : 0 ] emif0_awvalid
 ,output wire [0 : 0 ] emif0_bready
 ,output wire [0 : 0 ] emif0_rready
 ,output wire [255 : 0 ] emif0_wdata
 ,output wire [0 : 0 ] emif0_wlast
 ,output wire [31 : 0 ] emif0_wstrb
 ,output wire [31 : 0 ] emif0_wuser
 ,output wire [0 : 0 ] emif0_wvalid
 ,output wire [2 : 0 ] emif0_arprot
 ,output wire [2 : 0 ] emif0_awprot
 ,input wire [0 : 0 ] emif_ch1_axi_clk
 ,input wire [0 : 0 ] emif_ch1_axi_rst
 ,input wire [0 : 0 ] emif1_arready
 ,input wire [0 : 0 ] emif1_awready
 ,input wire [6 : 0 ] emif1_bid
 ,input wire [1 : 0 ] emif1_bresp
 ,input wire [0 : 0 ] emif1_bvalid
 ,input wire [255 : 0 ] emif1_rdata
 ,input wire [6 : 0 ] emif1_rid
 ,input wire [0 : 0 ] emif1_rlast
 ,input wire [1 : 0 ] emif1_rresp
 ,input wire [31 : 0 ] emif1_ruser
 ,input wire [0 : 0 ] emif1_rvalid
 ,input wire [0 : 0 ] emif1_wready
 ,output wire [43 : 0 ] emif1_araddr
 ,output wire [1 : 0 ] emif1_arburst
 ,output wire [6 : 0 ] emif1_arid
 ,output wire [7 : 0 ] emif1_arlen
 ,output wire [0 : 0 ] emif1_arlock
 ,output wire [3 : 0 ] emif1_arqos
 ,output wire [2 : 0 ] emif1_arsize
 ,output wire [13 : 0 ] emif1_aruser
 ,output wire [0 : 0 ] emif1_arvalid
 ,output wire [43 : 0 ] emif1_awaddr
 ,output wire [1 : 0 ] emif1_awburst
 ,output wire [6 : 0 ] emif1_awid
 ,output wire [7 : 0 ] emif1_awlen
 ,output wire [0 : 0 ] emif1_awlock
 ,output wire [3 : 0 ] emif1_awqos
 ,output wire [2 : 0 ] emif1_awsize
 ,output wire [13 : 0 ] emif1_awuser
 ,output wire [0 : 0 ] emif1_awvalid
 ,output wire [0 : 0 ] emif1_bready
 ,output wire [0 : 0 ] emif1_rready
 ,output wire [255 : 0 ] emif1_wdata
 ,output wire [0 : 0 ] emif1_wlast
 ,output wire [31 : 0 ] emif1_wstrb
 ,output wire [31 : 0 ] emif1_wuser
 ,output wire [0 : 0 ] emif1_wvalid
 ,output wire [2 : 0 ] emif1_arprot
 ,output wire [2 : 0 ] emif1_awprot
 ,input wire [0 : 0 ] mpfe_l_interconnect_csr_clk
 ,input wire [0 : 0 ] mpfe_l_interconnect_clk
 ,input wire [0 : 0 ] emif_l_interconnect_axi_rst
 ,output wire [0 : 0 ] mpfe_l_interconnect_csr_arready
 ,output wire [0 : 0 ] mpfe_l_interconnect_csr_awready
 ,output wire [1 : 0 ] mpfe_l_interconnect_csr_bresp
 ,output wire [0 : 0 ] mpfe_l_interconnect_csr_bvalid
 ,output wire [31 : 0 ] mpfe_l_interconnect_csr_rdata
 ,output wire [1 : 0 ] mpfe_l_interconnect_csr_rresp
 ,output wire [0 : 0 ] mpfe_l_interconnect_csr_rvalid
 ,output wire [0 : 0 ] mpfe_l_interconnect_csr_wready
 ,input wire [31 : 0 ] mpfe_l_interconnect_csr_araddr
 ,input wire [2 : 0 ] mpfe_l_interconnect_csr_arprot
 ,input wire [0 : 0 ] mpfe_l_interconnect_csr_arvalid
 ,input wire [31 : 0 ] mpfe_l_interconnect_csr_awaddr
 ,input wire [2 : 0 ] mpfe_l_interconnect_csr_awprot
 ,input wire [0 : 0 ] mpfe_l_interconnect_csr_awvalid
 ,input wire [0 : 0 ] mpfe_l_interconnect_csr_bready
 ,input wire [0 : 0 ] mpfe_l_interconnect_csr_rready
 ,input wire [31 : 0 ] mpfe_l_interconnect_csr_wdata
 ,input wire [3 : 0 ] mpfe_l_interconnect_csr_wstrb
 ,input wire [0 : 0 ] mpfe_l_interconnect_csr_wvalid
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch0_arready
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch0_awready
 ,output wire [6 : 0 ] mpfe_l_interconnect_ch0_bid
 ,output wire [1 : 0 ] mpfe_l_interconnect_ch0_bresp
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch0_bvalid
 ,output wire [255 : 0 ] mpfe_l_interconnect_ch0_rdata
 ,output wire [6 : 0 ] mpfe_l_interconnect_ch0_rid
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch0_rlast
 ,output wire [1 : 0 ] mpfe_l_interconnect_ch0_rresp
 ,output wire [31 : 0 ] mpfe_l_interconnect_ch0_ruser
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch0_rvalid
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch0_wready
 ,input wire [43 : 0 ] mpfe_l_interconnect_ch0_araddr
 ,input wire [1 : 0 ] mpfe_l_interconnect_ch0_arburst
 ,input wire [6 : 0 ] mpfe_l_interconnect_ch0_arid
 ,input wire [7 : 0 ] mpfe_l_interconnect_ch0_arlen
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch0_arlock
 ,input wire [3 : 0 ] mpfe_l_interconnect_ch0_arqos
 ,input wire [2 : 0 ] mpfe_l_interconnect_ch0_arsize
 ,input wire [13 : 0 ] mpfe_l_interconnect_ch0_aruser
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch0_arvalid
 ,input wire [43 : 0 ] mpfe_l_interconnect_ch0_awaddr
 ,input wire [1 : 0 ] mpfe_l_interconnect_ch0_awburst
 ,input wire [6 : 0 ] mpfe_l_interconnect_ch0_awid
 ,input wire [7 : 0 ] mpfe_l_interconnect_ch0_awlen
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch0_awlock
 ,input wire [3 : 0 ] mpfe_l_interconnect_ch0_awqos
 ,input wire [2 : 0 ] mpfe_l_interconnect_ch0_awsize
 ,input wire [13 : 0 ] mpfe_l_interconnect_ch0_awuser
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch0_awvalid
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch0_bready
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch0_rready
 ,input wire [255 : 0 ] mpfe_l_interconnect_ch0_wdata
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch0_wlast
 ,input wire [31 : 0 ] mpfe_l_interconnect_ch0_wstrb
 ,input wire [31 : 0 ] mpfe_l_interconnect_ch0_wuser
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch0_wvalid
 ,input wire [2 : 0 ] mpfe_l_interconnect_ch0_arprot
 ,input wire [2 : 0 ] mpfe_l_interconnect_ch0_awprot
 ,input wire [3 : 0 ] mpfe_l_interconnect_ch0_arcache
 ,input wire [3 : 0 ] mpfe_l_interconnect_ch0_awcache
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch1_arready
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch1_awready
 ,output wire [6 : 0 ] mpfe_l_interconnect_ch1_bid
 ,output wire [1 : 0 ] mpfe_l_interconnect_ch1_bresp
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch1_bvalid
 ,output wire [255 : 0 ] mpfe_l_interconnect_ch1_rdata
 ,output wire [6 : 0 ] mpfe_l_interconnect_ch1_rid
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch1_rlast
 ,output wire [1 : 0 ] mpfe_l_interconnect_ch1_rresp
 ,output wire [31 : 0 ] mpfe_l_interconnect_ch1_ruser
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch1_rvalid
 ,output wire [0 : 0 ] mpfe_l_interconnect_ch1_wready
 ,input wire [43 : 0 ] mpfe_l_interconnect_ch1_araddr
 ,input wire [1 : 0 ] mpfe_l_interconnect_ch1_arburst
 ,input wire [6 : 0 ] mpfe_l_interconnect_ch1_arid
 ,input wire [7 : 0 ] mpfe_l_interconnect_ch1_arlen
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch1_arlock
 ,input wire [3 : 0 ] mpfe_l_interconnect_ch1_arqos
 ,input wire [2 : 0 ] mpfe_l_interconnect_ch1_arsize
 ,input wire [13 : 0 ] mpfe_l_interconnect_ch1_aruser
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch1_arvalid
 ,input wire [43 : 0 ] mpfe_l_interconnect_ch1_awaddr
 ,input wire [1 : 0 ] mpfe_l_interconnect_ch1_awburst
 ,input wire [6 : 0 ] mpfe_l_interconnect_ch1_awid
 ,input wire [7 : 0 ] mpfe_l_interconnect_ch1_awlen
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch1_awlock
 ,input wire [3 : 0 ] mpfe_l_interconnect_ch1_awqos
 ,input wire [2 : 0 ] mpfe_l_interconnect_ch1_awsize
 ,input wire [13 : 0 ] mpfe_l_interconnect_ch1_awuser
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch1_awvalid
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch1_bready
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch1_rready
 ,input wire [255 : 0 ] mpfe_l_interconnect_ch1_wdata
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch1_wlast
 ,input wire [31 : 0 ] mpfe_l_interconnect_ch1_wstrb
 ,input wire [31 : 0 ] mpfe_l_interconnect_ch1_wuser
 ,input wire [0 : 0 ] mpfe_l_interconnect_ch1_wvalid
 ,input wire [2 : 0 ] mpfe_l_interconnect_ch1_arprot
 ,input wire [2 : 0 ] mpfe_l_interconnect_ch1_awprot
 ,input wire [3 : 0 ] mpfe_l_interconnect_ch1_arcache
 ,input wire [3 : 0 ] mpfe_l_interconnect_ch1_awcache
);

tennm_sm_soc_mpfe_lite #(
.mpfe_lite_enable("MPFE_LITE_ENABLE_ENABLE")
,.topology("TOPOLOGY_QUAD_16_BIT")
 ) sundancemesa_mpfe_lite_inst (
  .mpfe_lite_p0_AWPROT({
     mpfe_l_interconnect_ch0_awprot[2:0]
  })
 ,.mpfe_lite_p1_RRESP({
     mpfe_l_interconnect_ch1_rresp[1:0]
  })
 ,.io96b1_p1_RUSER({
     emif1_ruser[31:0]
  })
 ,.io96b1_p1_WDATA({
     emif1_wdata[255:0]
  })
 ,.mpfe_lite_csr_BREADY({
     mpfe_l_interconnect_csr_bready[0:0]
  })
 ,.mpfe_lite_p0_RID({
     mpfe_l_interconnect_ch0_rid[6:0]
  })
 ,.mpfe_lite_p0_RREADY({
     mpfe_l_interconnect_ch0_rready[0:0]
  })
 ,.mpfe_lite_p0_WVALID({
     mpfe_l_interconnect_ch0_wvalid[0:0]
  })
 ,.io96b1_p0_ARBURST({
     emif0_arburst[1:0]
  })
 ,.mpfe_lite_p1_AWLEN({
     mpfe_l_interconnect_ch1_awlen[7:0]
  })
 ,.io96b1_p0_BRESP({
     emif0_bresp[1:0]
  })
 ,.io96b1_p1_ARBURST({
     emif1_arburst[1:0]
  })
 ,.mpfe_lite_csr_WSTRB({
     mpfe_l_interconnect_csr_wstrb[3:0]
  })
 ,.mpfe_lite_csr_RVALID({
     mpfe_l_interconnect_csr_rvalid[0:0]
  })
 ,.io96b1_p1_RRESP({
     emif1_rresp[1:0]
  })
 ,.mpfe_lite_p1_ARLEN({
     mpfe_l_interconnect_ch1_arlen[7:0]
  })
 ,.mpfe_lite_p0_AWSIZE({
     mpfe_l_interconnect_ch0_awsize[2:0]
  })
 ,.mpfe_lite_p0_AWQOS({
     mpfe_l_interconnect_ch0_awqos[3:0]
  })
 ,.mpfe_lite_csr_AWADDR({
     mpfe_l_interconnect_csr_awaddr[31:0]
  })
 ,.io96b1_p1_ARSIZE({
     emif1_arsize[2:0]
  })
 ,.mpfe_lite_p1_ARLOCK({
     mpfe_l_interconnect_ch1_arlock[0:0]
  })
 ,.mpfe_lite_p1_WREADY({
     mpfe_l_interconnect_ch1_wready[0:0]
  })
 ,.mpfe_lite_p0_AWID({
     mpfe_l_interconnect_ch0_awid[6:0]
  })
 ,.io96b1_p1_AWLEN({
     emif1_awlen[7:0]
  })
 ,.io96b1_p1_BID({
     emif1_bid[6:0]
  })
 ,.mpfe_lite_p0_ARQOS({
     mpfe_l_interconnect_ch0_arqos[3:0]
  })
 ,.io96b1_csr_WDATA({
     emif_mem_cfg_wdata[31:0]
  })
 ,.mpfe_lite_p1_ARADDR({
     mpfe_l_interconnect_ch1_araddr[43:0]
  })
 ,.io96b1_csr_BVALID({
     emif_mem_cfg_bvalid[0:0]
  })
 ,.mpfe_lite_p0_AWVALID({
     mpfe_l_interconnect_ch0_awvalid[0:0]
  })
 ,.mpfe_lite_p0_ARREADY({
     mpfe_l_interconnect_ch0_arready[0:0]
  })
 ,.io96b1_p1_ARLEN({
     emif1_arlen[7:0]
  })
 ,.io96b1_p1_BVALID({
     emif1_bvalid[0:0]
  })
 ,.io96b1_csr_ARVALID({
     emif_mem_cfg_arvalid[0:0]
  })
 ,.io96b1_p0_AWQOS({
     emif0_awqos[3:0]
  })
 ,.mpfe_lite_p1_AWVALID({
     mpfe_l_interconnect_ch1_awvalid[0:0]
  })
 ,.mpfe_lite_p1_ARREADY({
     mpfe_l_interconnect_ch1_arready[0:0]
  })
 ,.mpfe_lite_p0_WDATA({
     mpfe_l_interconnect_ch0_wdata[255:0]
  })
 ,.io96b1_csr_RRESP({
     emif_mem_cfg_rresp[1:0]
  })
 ,.mpfe_lite_csr_ARVALID({
     mpfe_l_interconnect_csr_arvalid[0:0]
  })
 ,.io96b1_p1_AWID({
     emif1_awid[6:0]
  })
 ,.io96b1_p0_ARQOS({
     emif0_arqos[3:0]
  })
 ,.io96b1_p0_ARSIZE({
     emif0_arsize[2:0]
  })
 ,.mpfe_lite_p1_WLAST({
     mpfe_l_interconnect_ch1_wlast[0:0]
  })
 ,.mpfe_lite_p0_ARLOCK({
     mpfe_l_interconnect_ch0_arlock[0:0]
  })
 ,.mpfe_lite_p0_WREADY({
     mpfe_l_interconnect_ch0_wready[0:0]
  })
 ,.mpfe_lite_p0_RRESP({
     mpfe_l_interconnect_ch0_rresp[1:0]
  })
 ,.mpfe_lite_csr_BRESP({
     mpfe_l_interconnect_csr_bresp[1:0]
  })
 ,.io96b1_p0_AWBURST({
     emif0_awburst[1:0]
  })
 ,.io96b1_p0_ARID({
     emif0_arid[6:0]
  })
 ,.mpfe_lite_csr_AWPROT({
     mpfe_l_interconnect_csr_awprot[2:0]
  })
 ,.io96b1_p0_RUSER({
     emif0_ruser[31:0]
  })
 ,.io96b1_p0_WDATA({
     emif0_wdata[255:0]
  })
 ,.io96b1_p1_AWBURST({
     emif1_awburst[1:0]
  })
 ,.mpfe_lite_p0_ARADDR({
     mpfe_l_interconnect_ch0_araddr[43:0]
  })
 ,.io96b1_p0_BVALID({
     emif0_bvalid[0:0]
  })
 ,.mpfe_lite_csr_RREADY({
     mpfe_l_interconnect_csr_rready[0:0]
  })
 ,.mpfe_lite_csr_WVALID({
     mpfe_l_interconnect_csr_wvalid[0:0]
  })
 ,.mpfe_lite_p0_AWLEN({
     mpfe_l_interconnect_ch0_awlen[7:0]
  })
 ,.io96b1_p0_ARVALID({
     emif0_arvalid[0:0]
  })
 ,.mpfe_lite_p1_BID({
     mpfe_l_interconnect_ch1_bid[6:0]
  })
 ,.io96b1_p0_RRESP({
     emif0_rresp[1:0]
  })
 ,.io96b1_p1_ARVALID({
     emif1_arvalid[0:0]
  })
 ,.io96b1_p1_WLAST({
     emif1_wlast[0:0]
  })
 ,.mpfe_lite_p1_ARPROT({
     mpfe_l_interconnect_ch1_arprot[2:0]
  })
 ,.mpfe_lite_p0_ARLEN({
     mpfe_l_interconnect_ch0_arlen[7:0]
  })
 ,.io96b1_p0_AWLEN({
     emif0_awlen[7:0]
  })
 ,.io96b1_csr_BREADY({
     emif_mem_cfg_bready[0:0]
  })
 ,.io96b1_csr_AWVALID({
     emif_mem_cfg_awvalid[0:0]
  })
 ,.io96b1_csr_ARREADY({
     emif_mem_cfg_arready[0:0]
  })
 ,.io96b1_p1_RID({
     emif1_rid[6:0]
  })
 ,.io96b1_p1_AWUSER({
     emif1_awuser[13:0]
  })
 ,.io96b1_p1_BREADY({
     emif1_bready[0:0]
  })
 ,.mpfe_csr_clk({
     mpfe_l_interconnect_csr_clk[0:0]
  })
 ,.mpfe_lite_p0_AWREADY({
     mpfe_l_interconnect_ch0_awready[0:0]
  })
 ,.mpfe_lite_p1_RDATA({
     mpfe_l_interconnect_ch1_rdata[255:0]
  })
 ,.mpfe_lite_p1_AWREADY({
     mpfe_l_interconnect_ch1_awready[0:0]
  })
 ,.io96b1_p0_ARLEN({
     emif0_arlen[7:0]
  })
 ,.io96b1_csr_RVALID({
     emif_mem_cfg_rvalid[0:0]
  })
 ,.io96b1_p1_AWLOCK({
     emif1_awlock[0:0]
  })
 ,.mpfe_lite_p1_ARSIZE({
     mpfe_l_interconnect_ch1_arsize[2:0]
  })
 ,.io96b1_csr_AWADDR({
     emif_mem_cfg_awaddr[31:0]
  })
 ,.io96b1_p1_clk({
     emif_ch1_axi_clk[0:0]
  })
 ,.io96b1_p1_RVALID({
     emif1_rvalid[0:0]
  })
 ,.mpfe_lite_csr_ARREADY({
     mpfe_l_interconnect_csr_arready[0:0]
  })
 ,.mpfe_lite_csr_AWVALID({
     mpfe_l_interconnect_csr_awvalid[0:0]
  })
 ,.mpfe_lite_p0_ARPROT({
     mpfe_l_interconnect_ch0_arprot[2:0]
  })
 ,.io96b1_p1_AWADDR({
     emif1_awaddr[43:0]
  })
 ,.mpfe_lite_csr_WDATA({
     mpfe_l_interconnect_csr_wdata[31:0]
  })
 ,.mpfe_lite_p1_ARID({
     mpfe_l_interconnect_ch1_arid[6:0]
  })
 ,.io96b1_p1_RDATA({
     emif1_rdata[255:0]
  })
 ,.mpfe_lite_p0_WLAST({
     mpfe_l_interconnect_ch0_wlast[0:0]
  })
 ,.mpfe_lite_p1_BVALID({
     mpfe_l_interconnect_ch1_bvalid[0:0]
  })
 ,.io96b1_p0_AWUSER({
     emif0_awuser[13:0]
  })
 ,.io96b1_p0_BREADY({
     emif0_bready[0:0]
  })
 ,.mpfe_lite_csr_RRESP({
     mpfe_l_interconnect_csr_rresp[1:0]
  })
 ,.mpfe_lite_csr_WREADY({
     mpfe_l_interconnect_csr_wready[0:0]
  })
 ,.io96b1_p0_ARREADY({
     emif0_arready[0:0]
  })
 ,.io96b1_p0_AWVALID({
     emif0_awvalid[0:0]
  })
 ,.io96b1_p0_AWLOCK({
     emif0_awlock[0:0]
  })
 ,.io96b1_p1_ARREADY({
     emif1_arready[0:0]
  })
 ,.io96b1_p1_AWVALID({
     emif1_awvalid[0:0]
  })
 ,.mpfe_clk({
     mpfe_l_interconnect_clk[0:0]
  })
 ,.mpfe_lite_csr_ARADDR({
     mpfe_l_interconnect_csr_araddr[31:0]
  })
 ,.mpfe_lite_p0_ARSIZE({
     mpfe_l_interconnect_ch0_arsize[2:0]
  })
 ,.io96b1_p0_RVALID({
     emif0_rvalid[0:0]
  })
 ,.io96b1_p0_AWADDR({
     emif0_awaddr[43:0]
  })
 ,.io96b1_p0_WLAST({
     emif0_wlast[0:0]
  })
 ,.mpfe_lite_p1_RID({
     mpfe_l_interconnect_ch1_rid[6:0]
  })
 ,.io96b1_csr_RDATA({
     emif_mem_cfg_rdata[31:0]
  })
 ,.io96b1_p0_AWID({
     emif0_awid[6:0]
  })
 ,.io96b1_csr_AWREADY({
     emif_mem_cfg_awready[0:0]
  })
 ,.mpfe_lite_p0_BVALID({
     mpfe_l_interconnect_ch0_bvalid[0:0]
  })
 ,.mpfe_lite_p1_WSTRB({
     mpfe_l_interconnect_ch1_wstrb[31:0]
  })
 ,.io96b1_p0_BID({
     emif0_bid[6:0]
  })
 ,.io96b1_csr_WVALID({
     emif_mem_cfg_wvalid[0:0]
  })
 ,.io96b1_csr_RREADY({
     emif_mem_cfg_rready[0:0]
  })
 ,.io96b1_p1_WUSER({
     emif1_wuser[31:0]
  })
 ,.mpfe_lite_p0_RDATA({
     mpfe_l_interconnect_ch0_rdata[255:0]
  })
 ,.io96b1_p1_RREADY({
     emif1_rready[0:0]
  })
 ,.io96b1_p1_WVALID({
     emif1_wvalid[0:0]
  })
 ,.mpfe_lite_csr_AWREADY({
     mpfe_l_interconnect_csr_awready[0:0]
  })
 ,.mpfe_lite_p0_ARCACHE({
     mpfe_l_interconnect_ch0_arcache[3:0]
  })
 ,.mpfe_lite_p1_RLAST({
     mpfe_l_interconnect_ch1_rlast[0:0]
  })
 ,.io96b1_p1_WSTRB({
     emif1_wstrb[31:0]
  })
 ,.mpfe_lite_csr_ARPROT({
     mpfe_l_interconnect_csr_arprot[2:0]
  })
 ,.mpfe_lite_p1_BREADY({
     mpfe_l_interconnect_ch1_bready[0:0]
  })
 ,.mpfe_lite_p1_ARCACHE({
     mpfe_l_interconnect_ch1_arcache[3:0]
  })
 ,.io96b1_p0_RDATA({
     emif0_rdata[255:0]
  })
 ,.io96b1_p1_AWSIZE({
     emif1_awsize[2:0]
  })
 ,.io96b1_p0_AWREADY({
     emif0_awready[0:0]
  })
 ,.mpfe_lite_p1_AWLOCK({
     mpfe_l_interconnect_ch1_awlock[0:0]
  })
 ,.io96b1_p1_AWREADY({
     emif1_awready[0:0]
  })
 ,.mpfe_lite_p0_ARBURST({
     mpfe_l_interconnect_ch0_arburst[1:0]
  })
 ,.mpfe_lite_p1_RVALID({
     mpfe_l_interconnect_ch1_rvalid[0:0]
  })
 ,.io96b1_p0_RREADY({
     emif0_rready[0:0]
  })
 ,.io96b1_p0_WVALID({
     emif0_wvalid[0:0]
  })
 ,.io96b1_p1_RLAST({
     emif1_rlast[0:0]
  })
 ,.mpfe_lite_p1_ARBURST({
     mpfe_l_interconnect_ch1_arburst[1:0]
  })
 ,.mpfe_lite_p1_AWADDR({
     mpfe_l_interconnect_ch1_awaddr[43:0]
  })
 ,.mpfe_lite_p1_BRESP({
     mpfe_l_interconnect_ch1_bresp[1:0]
  })
 ,.mpfe_lite_p1_AWID({
     mpfe_l_interconnect_ch1_awid[6:0]
  })
 ,.io96b1_csr_WSTRB({
     emif_mem_cfg_wstrb[3:0]
  })
 ,.io96b1_csr_clk({
     emif_csr_axi_clk[0:0]
  })
 ,.mpfe_lite_p0_BID({
     mpfe_l_interconnect_ch0_bid[6:0]
  })
 ,.mpfe_lite_p0_BREADY({
     mpfe_l_interconnect_ch0_bready[0:0]
  })
 ,.io96b1_p0_AWSIZE({
     emif0_awsize[2:0]
  })
 ,.io96b1_p1_ARUSER({
     emif1_aruser[13:0]
  })
 ,.mpfe_lite_p0_ARID({
     mpfe_l_interconnect_ch0_arid[6:0]
  })
 ,.io96b1_csr_WREADY({
     emif_mem_cfg_wready[0:0]
  })
 ,.mpfe_lite_p0_AWLOCK({
     mpfe_l_interconnect_ch0_awlock[0:0]
  })
 ,.io96b1_p1_BRESP({
     emif1_bresp[1:0]
  })
 ,.io96b1_p1_WREADY({
     emif1_wready[0:0]
  })
 ,.io96b1_p1_ARLOCK({
     emif1_arlock[0:0]
  })
 ,.mpfe_lite_csr_BVALID({
     mpfe_l_interconnect_csr_bvalid[0:0]
  })
 ,.mpfe_lite_p0_RVALID({
     mpfe_l_interconnect_ch0_rvalid[0:0]
  })
 ,.mpfe_lite_p0_WSTRB({
     mpfe_l_interconnect_ch0_wstrb[31:0]
  })
 ,.io96b1_csr_ARADDR({
     emif_mem_cfg_araddr[31:0]
  })
 ,.io96b1_p0_WUSER({
     emif0_wuser[31:0]
  })
 ,.mpfe_lite_p0_AWADDR({
     mpfe_l_interconnect_ch0_awaddr[43:0]
  })
 ,.io96b1_p0_RID({
     emif0_rid[6:0]
  })
 ,.io96b1_p1_ARADDR({
     emif1_araddr[43:0]
  })
 ,.mpfe_lite_csr_RDATA({
     mpfe_l_interconnect_csr_rdata[31:0]
  })
 ,.mpfe_lite_p0_AWCACHE({
     mpfe_l_interconnect_ch0_awcache[3:0]
  })
 ,.mpfe_lite_p1_AWQOS({
     mpfe_l_interconnect_ch1_awqos[3:0]
  })
 ,.mpfe_lite_p1_AWCACHE({
     mpfe_l_interconnect_ch1_awcache[3:0]
  })
 ,.io96b1_p1_ARID({
     emif1_arid[6:0]
  })
 ,.mpfe_lite_p0_RLAST({
     mpfe_l_interconnect_ch0_rlast[0:0]
  })
 ,.mpfe_lite_p1_AWPROT({
     mpfe_l_interconnect_ch1_awprot[2:0]
  })
 ,.io96b1_p0_ARUSER({
     emif0_aruser[13:0]
  })
 ,.io96b1_p0_clk({
     emif_ch0_axi_clk[0:0]
  })
 ,.io96b1_p0_WSTRB({
     emif0_wstrb[31:0]
  })
 ,.mpfe_lite_p1_ARQOS({
     mpfe_l_interconnect_ch1_arqos[3:0]
  })
 ,.mpfe_lite_p0_AWBURST({
     mpfe_l_interconnect_ch0_awburst[1:0]
  })
 ,.mpfe_lite_p1_RREADY({
     mpfe_l_interconnect_ch1_rready[0:0]
  })
 ,.mpfe_lite_p1_WVALID({
     mpfe_l_interconnect_ch1_wvalid[0:0]
  })
 ,.io96b1_p0_ARLOCK({
     emif0_arlock[0:0]
  })
 ,.io96b1_p0_WREADY({
     emif0_wready[0:0]
  })
 ,.io96b1_csr_BRESP({
     emif_mem_cfg_bresp[1:0]
  })
 ,.io96b1_p1_AWQOS({
     emif1_awqos[3:0]
  })
 ,.mpfe_lite_p1_AWBURST({
     mpfe_l_interconnect_ch1_awburst[1:0]
  })
 ,.mpfe_lite_p1_WDATA({
     mpfe_l_interconnect_ch1_wdata[255:0]
  })
 ,.io96b1_p0_ARADDR({
     emif0_araddr[43:0]
  })
 ,.io96b1_p0_RLAST({
     emif0_rlast[0:0]
  })
 ,.emif_rst_n({
     emif_l_interconnect_axi_rst[0:0]
  })
 ,.mpfe_lite_p0_ARVALID({
     mpfe_l_interconnect_ch0_arvalid[0:0]
  })
 ,.io96b1_p1_ARQOS({
     emif1_arqos[3:0]
  })
 ,.mpfe_lite_p0_BRESP({
     mpfe_l_interconnect_ch0_bresp[1:0]
  })
 ,.mpfe_lite_p1_ARVALID({
     mpfe_l_interconnect_ch1_arvalid[0:0]
  })
 ,.mpfe_lite_p1_AWSIZE({
     mpfe_l_interconnect_ch1_awsize[2:0]
  })
);

endmodule


