	component DDR4_1x16_ECC_1EMIF_intel_agilex_5_soc_0 is
		port (
			h2f_reset_reset                    : out std_logic;                                         -- reset
			h2f_warm_reset_handshake_reset_req : out std_logic;                                         -- reset_req
			h2f_warm_reset_handshake_reset_ack : in  std_logic                      := 'X';             -- reset_ack
			io96b0_csr_axi_clk_clk             : in  std_logic                      := 'X';             -- clk
			io96b0_csr_axi_rst_reset_n         : in  std_logic                      := 'X';             -- reset_n
			io96b0_csr_axi_arready             : in  std_logic                      := 'X';             -- arready
			io96b0_csr_axi_awready             : in  std_logic                      := 'X';             -- awready
			io96b0_csr_axi_bresp               : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- bresp
			io96b0_csr_axi_bvalid              : in  std_logic                      := 'X';             -- bvalid
			io96b0_csr_axi_rdata               : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- rdata
			io96b0_csr_axi_rresp               : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- rresp
			io96b0_csr_axi_rvalid              : in  std_logic                      := 'X';             -- rvalid
			io96b0_csr_axi_wready              : in  std_logic                      := 'X';             -- wready
			io96b0_csr_axi_araddr              : out std_logic_vector(31 downto 0);                     -- araddr
			io96b0_csr_axi_arvalid             : out std_logic;                                         -- arvalid
			io96b0_csr_axi_awaddr              : out std_logic_vector(31 downto 0);                     -- awaddr
			io96b0_csr_axi_awvalid             : out std_logic;                                         -- awvalid
			io96b0_csr_axi_bready              : out std_logic;                                         -- bready
			io96b0_csr_axi_rready              : out std_logic;                                         -- rready
			io96b0_csr_axi_wdata               : out std_logic_vector(31 downto 0);                     -- wdata
			io96b0_csr_axi_wstrb               : out std_logic_vector(3 downto 0);                      -- wstrb
			io96b0_csr_axi_wvalid              : out std_logic;                                         -- wvalid
			io96b0_csr_axi_arprot              : out std_logic_vector(2 downto 0);                      -- arprot
			io96b0_csr_axi_awprot              : out std_logic_vector(2 downto 0);                      -- awprot
			io96b0_ch0_axi_clk_clk             : in  std_logic                      := 'X';             -- clk
			io96b0_ch0_axi_rst_reset_n         : in  std_logic                      := 'X';             -- reset_n
			io96b0_ch0_axi_arready             : in  std_logic                      := 'X';             -- arready
			io96b0_ch0_axi_awready             : in  std_logic                      := 'X';             -- awready
			io96b0_ch0_axi_bid                 : in  std_logic_vector(6 downto 0)   := (others => 'X'); -- bid
			io96b0_ch0_axi_bresp               : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- bresp
			io96b0_ch0_axi_bvalid              : in  std_logic                      := 'X';             -- bvalid
			io96b0_ch0_axi_rdata               : in  std_logic_vector(255 downto 0) := (others => 'X'); -- rdata
			io96b0_ch0_axi_rid                 : in  std_logic_vector(6 downto 0)   := (others => 'X'); -- rid
			io96b0_ch0_axi_rlast               : in  std_logic                      := 'X';             -- rlast
			io96b0_ch0_axi_rresp               : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- rresp
			io96b0_ch0_axi_ruser               : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- ruser
			io96b0_ch0_axi_rvalid              : in  std_logic                      := 'X';             -- rvalid
			io96b0_ch0_axi_wready              : in  std_logic                      := 'X';             -- wready
			io96b0_ch0_axi_araddr              : out std_logic_vector(43 downto 0);                     -- araddr
			io96b0_ch0_axi_arburst             : out std_logic_vector(1 downto 0);                      -- arburst
			io96b0_ch0_axi_arid                : out std_logic_vector(6 downto 0);                      -- arid
			io96b0_ch0_axi_arlen               : out std_logic_vector(7 downto 0);                      -- arlen
			io96b0_ch0_axi_arlock              : out std_logic;                                         -- arlock
			io96b0_ch0_axi_arqos               : out std_logic_vector(3 downto 0);                      -- arqos
			io96b0_ch0_axi_arsize              : out std_logic_vector(2 downto 0);                      -- arsize
			io96b0_ch0_axi_aruser              : out std_logic_vector(13 downto 0);                     -- aruser
			io96b0_ch0_axi_arvalid             : out std_logic;                                         -- arvalid
			io96b0_ch0_axi_awaddr              : out std_logic_vector(43 downto 0);                     -- awaddr
			io96b0_ch0_axi_awburst             : out std_logic_vector(1 downto 0);                      -- awburst
			io96b0_ch0_axi_awid                : out std_logic_vector(6 downto 0);                      -- awid
			io96b0_ch0_axi_awlen               : out std_logic_vector(7 downto 0);                      -- awlen
			io96b0_ch0_axi_awlock              : out std_logic;                                         -- awlock
			io96b0_ch0_axi_awqos               : out std_logic_vector(3 downto 0);                      -- awqos
			io96b0_ch0_axi_awsize              : out std_logic_vector(2 downto 0);                      -- awsize
			io96b0_ch0_axi_awuser              : out std_logic_vector(13 downto 0);                     -- awuser
			io96b0_ch0_axi_awvalid             : out std_logic;                                         -- awvalid
			io96b0_ch0_axi_bready              : out std_logic;                                         -- bready
			io96b0_ch0_axi_rready              : out std_logic;                                         -- rready
			io96b0_ch0_axi_wdata               : out std_logic_vector(255 downto 0);                    -- wdata
			io96b0_ch0_axi_wlast               : out std_logic;                                         -- wlast
			io96b0_ch0_axi_wstrb               : out std_logic_vector(31 downto 0);                     -- wstrb
			io96b0_ch0_axi_wuser               : out std_logic_vector(31 downto 0);                     -- wuser
			io96b0_ch0_axi_wvalid              : out std_logic;                                         -- wvalid
			io96b0_ch0_axi_arprot              : out std_logic_vector(2 downto 0);                      -- arprot
			io96b0_ch0_axi_awprot              : out std_logic_vector(2 downto 0)                       -- awprot
		);
	end component DDR4_1x16_ECC_1EMIF_intel_agilex_5_soc_0;

	u0 : component DDR4_1x16_ECC_1EMIF_intel_agilex_5_soc_0
		port map (
			h2f_reset_reset                    => CONNECTED_TO_h2f_reset_reset,                    --                h2f_reset.reset
			h2f_warm_reset_handshake_reset_req => CONNECTED_TO_h2f_warm_reset_handshake_reset_req, -- h2f_warm_reset_handshake.reset_req
			h2f_warm_reset_handshake_reset_ack => CONNECTED_TO_h2f_warm_reset_handshake_reset_ack, --                         .reset_ack
			io96b0_csr_axi_clk_clk             => CONNECTED_TO_io96b0_csr_axi_clk_clk,             --       io96b0_csr_axi_clk.clk
			io96b0_csr_axi_rst_reset_n         => CONNECTED_TO_io96b0_csr_axi_rst_reset_n,         --       io96b0_csr_axi_rst.reset_n
			io96b0_csr_axi_arready             => CONNECTED_TO_io96b0_csr_axi_arready,             --           io96b0_csr_axi.arready
			io96b0_csr_axi_awready             => CONNECTED_TO_io96b0_csr_axi_awready,             --                         .awready
			io96b0_csr_axi_bresp               => CONNECTED_TO_io96b0_csr_axi_bresp,               --                         .bresp
			io96b0_csr_axi_bvalid              => CONNECTED_TO_io96b0_csr_axi_bvalid,              --                         .bvalid
			io96b0_csr_axi_rdata               => CONNECTED_TO_io96b0_csr_axi_rdata,               --                         .rdata
			io96b0_csr_axi_rresp               => CONNECTED_TO_io96b0_csr_axi_rresp,               --                         .rresp
			io96b0_csr_axi_rvalid              => CONNECTED_TO_io96b0_csr_axi_rvalid,              --                         .rvalid
			io96b0_csr_axi_wready              => CONNECTED_TO_io96b0_csr_axi_wready,              --                         .wready
			io96b0_csr_axi_araddr              => CONNECTED_TO_io96b0_csr_axi_araddr,              --                         .araddr
			io96b0_csr_axi_arvalid             => CONNECTED_TO_io96b0_csr_axi_arvalid,             --                         .arvalid
			io96b0_csr_axi_awaddr              => CONNECTED_TO_io96b0_csr_axi_awaddr,              --                         .awaddr
			io96b0_csr_axi_awvalid             => CONNECTED_TO_io96b0_csr_axi_awvalid,             --                         .awvalid
			io96b0_csr_axi_bready              => CONNECTED_TO_io96b0_csr_axi_bready,              --                         .bready
			io96b0_csr_axi_rready              => CONNECTED_TO_io96b0_csr_axi_rready,              --                         .rready
			io96b0_csr_axi_wdata               => CONNECTED_TO_io96b0_csr_axi_wdata,               --                         .wdata
			io96b0_csr_axi_wstrb               => CONNECTED_TO_io96b0_csr_axi_wstrb,               --                         .wstrb
			io96b0_csr_axi_wvalid              => CONNECTED_TO_io96b0_csr_axi_wvalid,              --                         .wvalid
			io96b0_csr_axi_arprot              => CONNECTED_TO_io96b0_csr_axi_arprot,              --                         .arprot
			io96b0_csr_axi_awprot              => CONNECTED_TO_io96b0_csr_axi_awprot,              --                         .awprot
			io96b0_ch0_axi_clk_clk             => CONNECTED_TO_io96b0_ch0_axi_clk_clk,             --       io96b0_ch0_axi_clk.clk
			io96b0_ch0_axi_rst_reset_n         => CONNECTED_TO_io96b0_ch0_axi_rst_reset_n,         --       io96b0_ch0_axi_rst.reset_n
			io96b0_ch0_axi_arready             => CONNECTED_TO_io96b0_ch0_axi_arready,             --           io96b0_ch0_axi.arready
			io96b0_ch0_axi_awready             => CONNECTED_TO_io96b0_ch0_axi_awready,             --                         .awready
			io96b0_ch0_axi_bid                 => CONNECTED_TO_io96b0_ch0_axi_bid,                 --                         .bid
			io96b0_ch0_axi_bresp               => CONNECTED_TO_io96b0_ch0_axi_bresp,               --                         .bresp
			io96b0_ch0_axi_bvalid              => CONNECTED_TO_io96b0_ch0_axi_bvalid,              --                         .bvalid
			io96b0_ch0_axi_rdata               => CONNECTED_TO_io96b0_ch0_axi_rdata,               --                         .rdata
			io96b0_ch0_axi_rid                 => CONNECTED_TO_io96b0_ch0_axi_rid,                 --                         .rid
			io96b0_ch0_axi_rlast               => CONNECTED_TO_io96b0_ch0_axi_rlast,               --                         .rlast
			io96b0_ch0_axi_rresp               => CONNECTED_TO_io96b0_ch0_axi_rresp,               --                         .rresp
			io96b0_ch0_axi_ruser               => CONNECTED_TO_io96b0_ch0_axi_ruser,               --                         .ruser
			io96b0_ch0_axi_rvalid              => CONNECTED_TO_io96b0_ch0_axi_rvalid,              --                         .rvalid
			io96b0_ch0_axi_wready              => CONNECTED_TO_io96b0_ch0_axi_wready,              --                         .wready
			io96b0_ch0_axi_araddr              => CONNECTED_TO_io96b0_ch0_axi_araddr,              --                         .araddr
			io96b0_ch0_axi_arburst             => CONNECTED_TO_io96b0_ch0_axi_arburst,             --                         .arburst
			io96b0_ch0_axi_arid                => CONNECTED_TO_io96b0_ch0_axi_arid,                --                         .arid
			io96b0_ch0_axi_arlen               => CONNECTED_TO_io96b0_ch0_axi_arlen,               --                         .arlen
			io96b0_ch0_axi_arlock              => CONNECTED_TO_io96b0_ch0_axi_arlock,              --                         .arlock
			io96b0_ch0_axi_arqos               => CONNECTED_TO_io96b0_ch0_axi_arqos,               --                         .arqos
			io96b0_ch0_axi_arsize              => CONNECTED_TO_io96b0_ch0_axi_arsize,              --                         .arsize
			io96b0_ch0_axi_aruser              => CONNECTED_TO_io96b0_ch0_axi_aruser,              --                         .aruser
			io96b0_ch0_axi_arvalid             => CONNECTED_TO_io96b0_ch0_axi_arvalid,             --                         .arvalid
			io96b0_ch0_axi_awaddr              => CONNECTED_TO_io96b0_ch0_axi_awaddr,              --                         .awaddr
			io96b0_ch0_axi_awburst             => CONNECTED_TO_io96b0_ch0_axi_awburst,             --                         .awburst
			io96b0_ch0_axi_awid                => CONNECTED_TO_io96b0_ch0_axi_awid,                --                         .awid
			io96b0_ch0_axi_awlen               => CONNECTED_TO_io96b0_ch0_axi_awlen,               --                         .awlen
			io96b0_ch0_axi_awlock              => CONNECTED_TO_io96b0_ch0_axi_awlock,              --                         .awlock
			io96b0_ch0_axi_awqos               => CONNECTED_TO_io96b0_ch0_axi_awqos,               --                         .awqos
			io96b0_ch0_axi_awsize              => CONNECTED_TO_io96b0_ch0_axi_awsize,              --                         .awsize
			io96b0_ch0_axi_awuser              => CONNECTED_TO_io96b0_ch0_axi_awuser,              --                         .awuser
			io96b0_ch0_axi_awvalid             => CONNECTED_TO_io96b0_ch0_axi_awvalid,             --                         .awvalid
			io96b0_ch0_axi_bready              => CONNECTED_TO_io96b0_ch0_axi_bready,              --                         .bready
			io96b0_ch0_axi_rready              => CONNECTED_TO_io96b0_ch0_axi_rready,              --                         .rready
			io96b0_ch0_axi_wdata               => CONNECTED_TO_io96b0_ch0_axi_wdata,               --                         .wdata
			io96b0_ch0_axi_wlast               => CONNECTED_TO_io96b0_ch0_axi_wlast,               --                         .wlast
			io96b0_ch0_axi_wstrb               => CONNECTED_TO_io96b0_ch0_axi_wstrb,               --                         .wstrb
			io96b0_ch0_axi_wuser               => CONNECTED_TO_io96b0_ch0_axi_wuser,               --                         .wuser
			io96b0_ch0_axi_wvalid              => CONNECTED_TO_io96b0_ch0_axi_wvalid,              --                         .wvalid
			io96b0_ch0_axi_arprot              => CONNECTED_TO_io96b0_ch0_axi_arprot,              --                         .arprot
			io96b0_ch0_axi_awprot              => CONNECTED_TO_io96b0_ch0_axi_awprot               --                         .awprot
		);

