// (C) 2001-2024 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.



module LPDDR4_4x16_2EMIF_intel_agilex_5_soc_0_intel_sundancemesa_hps_100_43m5qci(
  output wire [0 : 0 ] h2f_reset
 ,output wire [0 : 0 ] h2f_pending_rst_req_n
 ,input wire [0 : 0 ] f2h_pending_rst_ack_n
 ,output wire [0 : 0 ] hps2mpfe_ccu_clk
 ,output wire [0 : 0 ] hps2mpfe_ccu_rst
 ,output wire [43 : 0 ] hps2mpfe_dmi0_araddr
 ,output wire [1 : 0 ] hps2mpfe_dmi0_arburst
 ,output wire [3 : 0 ] hps2mpfe_dmi0_arcache
 ,output wire [9 : 0 ] hps2mpfe_dmi0_arid
 ,output wire [7 : 0 ] hps2mpfe_dmi0_arlen
 ,output wire [0 : 0 ] hps2mpfe_dmi0_arlock
 ,output wire [2 : 0 ] hps2mpfe_dmi0_arprot
 ,output wire [3 : 0 ] hps2mpfe_dmi0_arqos
 ,input wire [0 : 0 ] hps2mpfe_dmi0_arready
 ,output wire [2 : 0 ] hps2mpfe_dmi0_arsize
 ,output wire [7 : 0 ] hps2mpfe_dmi0_aruser
 ,output wire [0 : 0 ] hps2mpfe_dmi0_arvalid
 ,output wire [43 : 0 ] hps2mpfe_dmi0_awaddr
 ,output wire [1 : 0 ] hps2mpfe_dmi0_awburst
 ,output wire [3 : 0 ] hps2mpfe_dmi0_awcache
 ,output wire [9 : 0 ] hps2mpfe_dmi0_awid
 ,output wire [7 : 0 ] hps2mpfe_dmi0_awlen
 ,output wire [0 : 0 ] hps2mpfe_dmi0_awlock
 ,output wire [2 : 0 ] hps2mpfe_dmi0_awprot
 ,output wire [3 : 0 ] hps2mpfe_dmi0_awqos
 ,input wire [0 : 0 ] hps2mpfe_dmi0_awready
 ,output wire [2 : 0 ] hps2mpfe_dmi0_awsize
 ,output wire [7 : 0 ] hps2mpfe_dmi0_awuser
 ,output wire [0 : 0 ] hps2mpfe_dmi0_awvalid
 ,input wire [9 : 0 ] hps2mpfe_dmi0_bid
 ,output wire [0 : 0 ] hps2mpfe_dmi0_bready
 ,input wire [1 : 0 ] hps2mpfe_dmi0_bresp
 ,input wire [0 : 0 ] hps2mpfe_dmi0_bvalid
 ,input wire [255 : 0 ] hps2mpfe_dmi0_rdata
 ,input wire [9 : 0 ] hps2mpfe_dmi0_rid
 ,input wire [0 : 0 ] hps2mpfe_dmi0_rlast
 ,output wire [0 : 0 ] hps2mpfe_dmi0_rready
 ,input wire [1 : 0 ] hps2mpfe_dmi0_rresp
 ,input wire [0 : 0 ] hps2mpfe_dmi0_rvalid
 ,output wire [255 : 0 ] hps2mpfe_dmi0_wdata
 ,output wire [0 : 0 ] hps2mpfe_dmi0_wlast
 ,input wire [0 : 0 ] hps2mpfe_dmi0_wready
 ,output wire [31 : 0 ] hps2mpfe_dmi0_wstrb
 ,output wire [0 : 0 ] hps2mpfe_dmi0_wvalid
 ,output wire [43 : 0 ] hps2mpfe_dmi1_araddr
 ,output wire [1 : 0 ] hps2mpfe_dmi1_arburst
 ,output wire [3 : 0 ] hps2mpfe_dmi1_arcache
 ,output wire [9 : 0 ] hps2mpfe_dmi1_arid
 ,output wire [7 : 0 ] hps2mpfe_dmi1_arlen
 ,output wire [0 : 0 ] hps2mpfe_dmi1_arlock
 ,output wire [2 : 0 ] hps2mpfe_dmi1_arprot
 ,output wire [3 : 0 ] hps2mpfe_dmi1_arqos
 ,input wire [0 : 0 ] hps2mpfe_dmi1_arready
 ,output wire [2 : 0 ] hps2mpfe_dmi1_arsize
 ,output wire [7 : 0 ] hps2mpfe_dmi1_aruser
 ,output wire [0 : 0 ] hps2mpfe_dmi1_arvalid
 ,output wire [43 : 0 ] hps2mpfe_dmi1_awaddr
 ,output wire [1 : 0 ] hps2mpfe_dmi1_awburst
 ,output wire [3 : 0 ] hps2mpfe_dmi1_awcache
 ,output wire [9 : 0 ] hps2mpfe_dmi1_awid
 ,output wire [7 : 0 ] hps2mpfe_dmi1_awlen
 ,output wire [0 : 0 ] hps2mpfe_dmi1_awlock
 ,output wire [2 : 0 ] hps2mpfe_dmi1_awprot
 ,output wire [3 : 0 ] hps2mpfe_dmi1_awqos
 ,input wire [0 : 0 ] hps2mpfe_dmi1_awready
 ,output wire [2 : 0 ] hps2mpfe_dmi1_awsize
 ,output wire [7 : 0 ] hps2mpfe_dmi1_awuser
 ,output wire [0 : 0 ] hps2mpfe_dmi1_awvalid
 ,input wire [9 : 0 ] hps2mpfe_dmi1_bid
 ,output wire [0 : 0 ] hps2mpfe_dmi1_bready
 ,input wire [1 : 0 ] hps2mpfe_dmi1_bresp
 ,input wire [0 : 0 ] hps2mpfe_dmi1_bvalid
 ,input wire [255 : 0 ] hps2mpfe_dmi1_rdata
 ,input wire [9 : 0 ] hps2mpfe_dmi1_rid
 ,input wire [0 : 0 ] hps2mpfe_dmi1_rlast
 ,output wire [0 : 0 ] hps2mpfe_dmi1_rready
 ,input wire [1 : 0 ] hps2mpfe_dmi1_rresp
 ,input wire [0 : 0 ] hps2mpfe_dmi1_rvalid
 ,output wire [255 : 0 ] hps2mpfe_dmi1_wdata
 ,output wire [0 : 0 ] hps2mpfe_dmi1_wlast
 ,input wire [0 : 0 ] hps2mpfe_dmi1_wready
 ,output wire [31 : 0 ] hps2mpfe_dmi1_wstrb
 ,output wire [0 : 0 ] hps2mpfe_dmi1_wvalid
 ,output wire [43 : 0 ] hps2mpfe_csr_araddr
 ,output wire [1 : 0 ] hps2mpfe_csr_arburst
 ,output wire [3 : 0 ] hps2mpfe_csr_arcache
 ,output wire [9 : 0 ] hps2mpfe_csr_arid
 ,output wire [7 : 0 ] hps2mpfe_csr_arlen
 ,output wire [0 : 0 ] hps2mpfe_csr_arlock
 ,output wire [2 : 0 ] hps2mpfe_csr_arprot
 ,input wire [0 : 0 ] hps2mpfe_csr_arready
 ,output wire [2 : 0 ] hps2mpfe_csr_arsize
 ,output wire [7 : 0 ] hps2mpfe_csr_aruser
 ,output wire [0 : 0 ] hps2mpfe_csr_arvalid
 ,output wire [43 : 0 ] hps2mpfe_csr_awaddr
 ,output wire [1 : 0 ] hps2mpfe_csr_awburst
 ,output wire [3 : 0 ] hps2mpfe_csr_awcache
 ,output wire [9 : 0 ] hps2mpfe_csr_awid
 ,output wire [7 : 0 ] hps2mpfe_csr_awlen
 ,output wire [0 : 0 ] hps2mpfe_csr_awlock
 ,output wire [2 : 0 ] hps2mpfe_csr_awprot
 ,input wire [0 : 0 ] hps2mpfe_csr_awready
 ,output wire [2 : 0 ] hps2mpfe_csr_awsize
 ,output wire [7 : 0 ] hps2mpfe_csr_awuser
 ,output wire [0 : 0 ] hps2mpfe_csr_awvalid
 ,input wire [9 : 0 ] hps2mpfe_csr_bid
 ,output wire [0 : 0 ] hps2mpfe_csr_bready
 ,input wire [1 : 0 ] hps2mpfe_csr_bresp
 ,input wire [0 : 0 ] hps2mpfe_csr_bvalid
 ,input wire [63 : 0 ] hps2mpfe_csr_rdata
 ,input wire [9 : 0 ] hps2mpfe_csr_rid
 ,input wire [0 : 0 ] hps2mpfe_csr_rlast
 ,output wire [0 : 0 ] hps2mpfe_csr_rready
 ,input wire [1 : 0 ] hps2mpfe_csr_rresp
 ,input wire [0 : 0 ] hps2mpfe_csr_rvalid
 ,output wire [63 : 0 ] hps2mpfe_csr_wdata
 ,output wire [0 : 0 ] hps2mpfe_csr_wlast
 ,input wire [0 : 0 ] hps2mpfe_csr_wready
 ,output wire [7 : 0 ] hps2mpfe_csr_wstrb
 ,output wire [0 : 0 ] hps2mpfe_csr_wvalid
 ,output wire [0 : 0 ] h2emif_interconnect_axi_rst
);




(* preserve *)(* altera_attribute = "-name PRESERVE_FANOUT_FREE_WYSIWYG ON" *) 
tennm_soc_hps #(
.soc_hps_wrapper_powerdown_mode("FALSE")
,.soc_hps_wrapper_hps_a55_core_state("HPS_A55_CORE_STATE_BOTH_ON")
,.soc_hps_wrapper_hps_a76_core_selection("HPS_A76_CORE_SELECTION_DUAL")
,.soc_hps_wrapper_hps_l3_memory_size("HPS_L3_MEMORY_SIZE_2_MB")
 ) sundancemesa_hps_inst (
  .ccu_dmi0_AWREADY({
     hps2mpfe_dmi0_awready[0:0]
  })
 ,.ccu_dmi1_RDATA({
     hps2mpfe_dmi1_rdata[255:0]
  })
 ,.mpfe_csr_BVALID({
     hps2mpfe_csr_bvalid[0:0]
  })
 ,.ccu_dmi1_AWREADY({
     hps2mpfe_dmi1_awready[0:0]
  })
 ,.ccu_dmi1_ARSIZE({
     hps2mpfe_dmi1_arsize[2:0]
  })
 ,.mpfe_csr_BRESP({
     hps2mpfe_csr_bresp[1:0]
  })
 ,.s2f_rst({
     h2f_reset[0:0]
  })
 ,.ccu_dmi0_ARPROT({
     hps2mpfe_dmi0_arprot[2:0]
  })
 ,.f2soc_AWMMUSID({
     16'b0000000000000000
  })
 ,.ccu_dmi1_ARID({
     hps2mpfe_dmi1_arid[9:0]
  })
 ,.mpfe_csr_BID({
     hps2mpfe_csr_bid[9:0]
  })
 ,.f2soc_AWMMUSECSID({
     1'b0
  })
 ,.ccu_dmi1_BVALID({
     hps2mpfe_dmi1_bvalid[0:0]
  })
 ,.ccu_dmi0_WLAST({
     hps2mpfe_dmi0_wlast[0:0]
  })
 ,.soc2fpga_port_size_config_0({
     1'b1
  })
 ,.soc2fpga_port_size_config_1({
     1'b1
  })
 ,.ccu_dmi0_ARSIZE({
     hps2mpfe_dmi0_arsize[2:0]
  })
 ,.mpfe_csr_AWREADY({
     hps2mpfe_csr_awready[0:0]
  })
 ,.ccu_dmi1_RID({
     hps2mpfe_dmi1_rid[9:0]
  })
 ,.mpfe_csr_BREADY({
     hps2mpfe_csr_bready[0:0]
  })
 ,.mpfe_csr_AWUSER({
     hps2mpfe_csr_awuser[7:0]
  })
 ,.ccu_dmi0_BVALID({
     hps2mpfe_dmi0_bvalid[0:0]
  })
 ,.f2soc_ARMMUSID({
     16'b0000000000000000
  })
 ,.ccu_dmi1_WSTRB({
     hps2mpfe_dmi1_wstrb[31:0]
  })
 ,.mpfe_csr_WDATA({
     hps2mpfe_csr_wdata[63:0]
  })
 ,.mpfe_csr_AWLOCK({
     hps2mpfe_csr_awlock[0:0]
  })
 ,.ccu_dmi0_RDATA({
     hps2mpfe_dmi0_rdata[255:0]
  })
 ,.mpfe_csr_RVALID({
     hps2mpfe_csr_rvalid[0:0]
  })
 ,.mpfe_csr_AWADDR({
     hps2mpfe_csr_awaddr[43:0]
  })
 ,.lwsoc2fpga_port_size_config_0({
     1'b0
  })
 ,.mpfe_csr_RRESP({
     hps2mpfe_csr_rresp[1:0]
  })
 ,.ccu_dmi1_RLAST({
     hps2mpfe_dmi1_rlast[0:0]
  })
 ,.ccu_dmi0_ARCACHE({
     hps2mpfe_dmi0_arcache[3:0]
  })
 ,.ccu_dmi1_BREADY({
     hps2mpfe_dmi1_bready[0:0]
  })
 ,.ccu_dmi1_AWUSER({
     hps2mpfe_dmi1_awuser[7:0]
  })
 ,.ccu_dmi1_ARCACHE({
     hps2mpfe_dmi1_arcache[3:0]
  })
 ,.mpfe_csr_RID({
     hps2mpfe_csr_rid[9:0]
  })
 ,.mpfe_csr_AWLEN({
     hps2mpfe_csr_awlen[7:0]
  })
 ,.ccu_dmi1_AWLOCK({
     hps2mpfe_dmi1_awlock[0:0]
  })
 ,.ccu_dmi1_RVALID({
     hps2mpfe_dmi1_rvalid[0:0]
  })
 ,.ccu_dmi0_ARBURST({
     hps2mpfe_dmi0_arburst[1:0]
  })
 ,.ccu_dmi1_AWADDR({
     hps2mpfe_dmi1_awaddr[43:0]
  })
 ,.ccu_dmi1_ARBURST({
     hps2mpfe_dmi1_arburst[1:0]
  })
 ,.mpfe_csr_ARLEN({
     hps2mpfe_csr_arlen[7:0]
  })
 ,.ccu_dmi1_BRESP({
     hps2mpfe_dmi1_bresp[1:0]
  })
 ,.f2soc_ARMMUSECSID({
     1'b0
  })
 ,.ccu_dmi1_AWID({
     hps2mpfe_dmi1_awid[9:0]
  })
 ,.ccu_dmi0_BREADY({
     hps2mpfe_dmi0_bready[0:0]
  })
 ,.ccu_dmi0_BID({
     hps2mpfe_dmi0_bid[9:0]
  })
 ,.ccu_dmi0_AWUSER({
     hps2mpfe_dmi0_awuser[7:0]
  })
 ,.ccu_dmi0_ARID({
     hps2mpfe_dmi0_arid[9:0]
  })
 ,.mpfe_csr_AWPROT({
     hps2mpfe_csr_awprot[2:0]
  })
 ,.ccu_dmi0_AWLOCK({
     hps2mpfe_dmi0_awlock[0:0]
  })
 ,.ccu_dmi0_WSTRB({
     hps2mpfe_dmi0_wstrb[31:0]
  })
 ,.ccu_dmi0_RVALID({
     hps2mpfe_dmi0_rvalid[0:0]
  })
 ,.mpfe_csr_ARCACHE({
     hps2mpfe_csr_arcache[3:0]
  })
 ,.mpfe_csr_RREADY({
     hps2mpfe_csr_rready[0:0]
  })
 ,.mpfe_csr_WVALID({
     hps2mpfe_csr_wvalid[0:0]
  })
 ,.ccu_dmi0_AWADDR({
     hps2mpfe_dmi0_awaddr[43:0]
  })
 ,.mpfe_csr_ARID({
     hps2mpfe_csr_arid[9:0]
  })
 ,.ccu_dmi0_AWCACHE({
     hps2mpfe_dmi0_awcache[3:0]
  })
 ,.ccu_dmi1_AWQOS({
     hps2mpfe_dmi1_awqos[3:0]
  })
 ,.ccu_dmi1_AWCACHE({
     hps2mpfe_dmi1_awcache[3:0]
  })
 ,.ccu_dmi0_RLAST({
     hps2mpfe_dmi0_rlast[0:0]
  })
 ,.ccu_dmi1_AWPROT({
     hps2mpfe_dmi1_awprot[2:0]
  })
 ,.mpfe_csr_ARBURST({
     hps2mpfe_csr_arburst[1:0]
  })
 ,.mpfe_csr_AWSIZE({
     hps2mpfe_csr_awsize[2:0]
  })
 ,.mpfe_csr_WLAST({
     hps2mpfe_csr_wlast[0:0]
  })
 ,.ccu_dmi1_ARQOS({
     hps2mpfe_dmi1_arqos[3:0]
  })
 ,.ccu_dmi0_AWBURST({
     hps2mpfe_dmi0_awburst[1:0]
  })
 ,.ccu_dmi1_RREADY({
     hps2mpfe_dmi1_rready[0:0]
  })
 ,.ccu_dmi1_WVALID({
     hps2mpfe_dmi1_wvalid[0:0]
  })
 ,.ccu_dmi1_AWBURST({
     hps2mpfe_dmi1_awburst[1:0]
  })
 ,.f2s_pending_rst_ack({
     f2h_pending_rst_ack_n[0:0]
  })
 ,.ccu_dmi1_WDATA({
     hps2mpfe_dmi1_wdata[255:0]
  })
 ,.ccu_dmi0_ARVALID({
     hps2mpfe_dmi0_arvalid[0:0]
  })
 ,.ccu_dmi0_BRESP({
     hps2mpfe_dmi0_bresp[1:0]
  })
 ,.ccu_dmi1_ARVALID({
     hps2mpfe_dmi1_arvalid[0:0]
  })
 ,.ccu_dmi1_AWSIZE({
     hps2mpfe_dmi1_awsize[2:0]
  })
 ,.ccu_dmi0_AWPROT({
     hps2mpfe_dmi0_awprot[2:0]
  })
 ,.ccu_dmi1_RRESP({
     hps2mpfe_dmi1_rresp[1:0]
  })
 ,.mpfe_csr_ARUSER({
     hps2mpfe_csr_aruser[7:0]
  })
 ,.ccu_dmi0_WVALID({
     hps2mpfe_dmi0_wvalid[0:0]
  })
 ,.ccu_dmi0_RREADY({
     hps2mpfe_dmi0_rready[0:0]
  })
 ,.ccu_dmi0_RID({
     hps2mpfe_dmi0_rid[9:0]
  })
 ,.mpfe_csr_ARLOCK({
     hps2mpfe_csr_arlock[0:0]
  })
 ,.mpfe_csr_AWCACHE({
     hps2mpfe_csr_awcache[3:0]
  })
 ,.mpfe_csr_RDATA({
     hps2mpfe_csr_rdata[63:0]
  })
 ,.mpfe_csr_WREADY({
     hps2mpfe_csr_wready[0:0]
  })
 ,.ccu_dmi1_AWLEN({
     hps2mpfe_dmi1_awlen[7:0]
  })
 ,.mpfe_csr_ARADDR({
     hps2mpfe_csr_araddr[43:0]
  })
 ,.ccu_dmi1_ARLEN({
     hps2mpfe_dmi1_arlen[7:0]
  })
 ,.ccu_dmi0_AWSIZE({
     hps2mpfe_dmi0_awsize[2:0]
  })
 ,.ccu_dmi0_AWQOS({
     hps2mpfe_dmi0_awqos[3:0]
  })
 ,.s2f_pending_rst_req({
     h2f_pending_rst_req_n[0:0]
  })
 ,.ccu_dmi1_ARUSER({
     hps2mpfe_dmi1_aruser[7:0]
  })
 ,.mpfe_csr_AWBURST({
     hps2mpfe_csr_awburst[1:0]
  })
 ,.ccu_dmi0_AWID({
     hps2mpfe_dmi0_awid[9:0]
  })
 ,.ccu_dmi1_ARLOCK({
     hps2mpfe_dmi1_arlock[0:0]
  })
 ,.ccu_dmi1_WREADY({
     hps2mpfe_dmi1_wready[0:0]
  })
 ,.ccu_dmi0_ARQOS({
     hps2mpfe_dmi0_arqos[3:0]
  })
 ,.mpfe_csr_ARVALID({
     hps2mpfe_csr_arvalid[0:0]
  })
 ,.ccu_dmi1_ARADDR({
     hps2mpfe_dmi1_araddr[43:0]
  })
 ,.ccu_dmi0_AWVALID({
     hps2mpfe_dmi0_awvalid[0:0]
  })
 ,.ccu_dmi0_ARREADY({
     hps2mpfe_dmi0_arready[0:0]
  })
 ,.mpfe_csr_AWID({
     hps2mpfe_csr_awid[9:0]
  })
 ,.ccu_dmi0_WDATA({
     hps2mpfe_dmi0_wdata[255:0]
  })
 ,.ccu_dmi1_ARREADY({
     hps2mpfe_dmi1_arready[0:0]
  })
 ,.ccu_dmi1_AWVALID({
     hps2mpfe_dmi1_awvalid[0:0]
  })
 ,.ccu_dmi0_ARUSER({
     hps2mpfe_dmi0_aruser[7:0]
  })
 ,.mpfe_csr_ARPROT({
     hps2mpfe_csr_arprot[2:0]
  })
 ,.ccu_dmi0_WREADY({
     hps2mpfe_dmi0_wready[0:0]
  })
 ,.ccu_dmi0_RRESP({
     hps2mpfe_dmi0_rresp[1:0]
  })
 ,.ccu_dmi0_ARLOCK({
     hps2mpfe_dmi0_arlock[0:0]
  })
 ,.ccu_dmi1_WLAST({
     hps2mpfe_dmi1_wlast[0:0]
  })
 ,.mpfe_csr_WSTRB({
     hps2mpfe_csr_wstrb[7:0]
  })
 ,.ccu_dmi0_ARADDR({
     hps2mpfe_dmi0_araddr[43:0]
  })
 ,.ccu_dmi0_AWLEN({
     hps2mpfe_dmi0_awlen[7:0]
  })
 ,.ccu_dmi1_BID({
     hps2mpfe_dmi1_bid[9:0]
  })
 ,.ccu_dmi1_ARPROT({
     hps2mpfe_dmi1_arprot[2:0]
  })
 ,.mpfe_csr_ARSIZE({
     hps2mpfe_csr_arsize[2:0]
  })
 ,.mpfe_csr_RLAST({
     hps2mpfe_csr_rlast[0:0]
  })
 ,.mpu_ccu_clk({
     hps2mpfe_ccu_clk[0:0]
  })
 ,.ccu_dmi0_ARLEN({
     hps2mpfe_dmi0_arlen[7:0]
  })
 ,.mpfe_csr_ARREADY({
     hps2mpfe_csr_arready[0:0]
  })
 ,.mpfe_csr_AWVALID({
     hps2mpfe_csr_awvalid[0:0]
  })
 ,.emif_rst_n({
     h2emif_interconnect_axi_rst[0:0]
  })
);

endmodule


